LANGUAGE = "EN";

Strings = {};
UIOptions = {};
NamePatterns = {};
Symbols = {};

if (Turbine.Shell.IsCommand("spielen")) then
	LANGUAGE = "DE";
end
if (Turbine.Shell.IsCommand("lire")) then
	LANGUAGE = "FR";
end

if (LANGUAGE == "EN") then 
	Strings["babble"] = "babble";
	Strings["babble_header"] = "Babble";
	Strings["cmd_babble_on"] = "on";
	Strings["cmd_babble_off"] = "off";
	Strings["cmd_babble_list"] = "list";
	Strings["cmd_babble_edit"] = "edit";
	Strings["babble_help_list"] = "/babble list - List currently supported filters";
	Strings["babble_help_edit"] = "/babble edit - Edit settings";
	Strings["babble_status_on"] = "Babble is currently on";
	Strings["babble_status_off"] = "Babble is currently off";
	Strings["babble_version"] = "Babble v";
	Strings["enable_babble"] = "Enable Babble";
	Strings["list_filters"] = "List Filters";
	Strings["edit_settings"] = "Edit Settings";
	Strings["settings"] = "Settings";
	Strings["player_names"] = "Player Names";
	Strings["list_name"] = "List Name";
	Strings["cancel"] = "Cancel";
	Strings["ok"] = "OK";
	Strings["apply"] = "Apply";
	Strings["add"] = "Add";
	Strings["copy"] = "Copy";
	Strings["edit"] = "Edit";
	Strings["remove"] = "Remove";
	Strings["clear_list"] = "Clear List"
	Strings["me"] = "Me";
	Strings["you"] = "You";
	Strings["copy_list"] = "Hold down shift to copy a list";
	-- Strings["unless_from"] = "Unless from allowed player";
	-- Strings["unless_to"] = "Unless to allowed player";
	-- Strings["allowed_players"] = "Allowed Players";
	Strings["add_name_title"] = "Add Player Name";
	Strings["edit_name_title"] = "Edit Player Name";
	-- Strings["add_name_message"] = "Enter the name of a player for which blocked emotes may be overridden.\nEnter 'Me' to represent yourself.";
	Strings["add_name_message_comma"] = "Multiple names can be entered separated with a comma.";
	Strings["name_exists"] = "Name already exists";
	Strings["names_exists"] = "All names already exists";
	Strings["name_no_commas"] = "Multiple names not allowed when editing a name";
	Strings["default_emote_set"] = "Blocked Emotes Set 1";
	Strings["no_name_list"] = "-- No Players --";
	Strings["list_name_required"] = "List name not specified";
	Strings["at_least_one_name"] = "At least one name is required";
	Strings["close_windows"] = "Please close the emote/name windows before attempting to save";
	Strings["changes_made"] = "Warning: Any changes made to emotes, names or colours will not be saved";
	Strings["changes_to_save"] = "Warning: Changes will not be saved until either Apply or OK is clicked";
	Strings["settings_saved"] = "Babble settings saved.";
	Strings["settings_notsaved"] = "Babble settings not saved.";
	
	-- New
	Strings["babble_help_on"] = "/babble on - Switch on filtered channels";
	Strings["babble_help_off"] = "/babble off - Switch off filtered channels";
	Strings["cmd_babble_status"] = "status";
	Strings["babble_help_status"] = "/babble status - Show status";
	Strings["babble_welcome"] = "Babble sends filtered chat messages to the Standard channel. For it to be effective you should select 'Change Filters' in the same chat window and turn off the corresponding chat channel";
	Strings["babble_filtering"] = "Babble is now filtering on the %q channel";
	Strings["babble_not_filtering"] = "Babble is no longer filtering on the %q channel";
	Strings["babble_chatwindow"] = "Enable Chat Window";
	Strings["babble_showchatwindow"] = "Show Chat Window";
	Strings["enable_status_button"] = "Enable Babble Button";
	Strings["use_global_settings"] = "Use Global Settings";
	Strings["channels"] = "Channels";
	Strings["channel_header"] = "Channel:";
	Strings["status"] = "Status";
	Strings["select_list"] = "(Select List)";
	Strings["select_pattern_list"] = "Pattern list must be selected before saving";
	Strings["select_name_list"] = "Name list must be selected before saving";
	Strings["pattern"] = "Pattern";
	Strings["filter_type"] = "Filter Type";
	Strings["pattern_list"] = "Pattern List";
	Strings["pattern_colour"] = "Pattern Colour";
	Strings["add_pattern_title"] = "Add Pattern";
	Strings["edit_pattern_title"] = "Edit Pattern";
	Strings["add_pattern_message"] = "Enter the pattern to block.\nUse * to match any length of text. Use _ to match a single word.";
	Strings["pattern_exists"] = "Pattern already exists";
	Strings["at_least_one_pattern"] = "At least one blocked pattern is required";
	Strings["settings_open"] = "Warning: The settings window is already open. Any unsaved settings will be lost.";
	Strings["settings_npc_say"] = "Always block NPC chat";
	Strings["allow_all_list"] = "-- Allow All --";
	Strings["block_all_list"] = "-- Block All --";
	Strings["unless_from"] = "Unless from named player";
	Strings["unless_to"] = "Unless to named player";
	Strings["named_players"] = "Named Players";
	Strings["add_name_message"] = "Enter a player name for which blocked/allowed patterns may be overridden.\nEnter 'Me' to represent yourself.";
	Strings["block_patterns"] = "Block Patterns";
	Strings["allow_patterns"] = "Allow Patterns";
	Strings["remove_not_allowed"] = "List cannot be removed as it is use by other channels";
	Strings["list_in_use"] = "Warning: List is in use by other channels so any changes will affect those other channels also";
	Strings["create_tab"] = "Create New Tab";
	Strings["rename_tab"] = "Rename Tab";
	Strings["delete_tab"] = "Delete Tab";
	Strings["clear_tab"] = "Clear All Text";
	Strings["filtered_menu"] = "Allowed Text";
	Strings["blocked_menu"] = "Blocked Text";
	Strings["other_menu"] = "Other Channels";
	Strings["tab_name_main"] = "Main";
	Strings["tab_name_new"] = "New Tab";
	Strings["rename_tab_confirm"] = "Enter a new name for the Tab";
	Strings["route_to_standard"] = "Route filtered text to Standard channel";
	Strings["edit_colours"] = "Edit Colours";
	Strings["select_colour"] = "Select Colour...";
	Strings["enter_rgb"] = "Or enter RGB values";
	Strings["r"] = "R";
	Strings["g"] = "G";
	Strings["b"] = "B";
	
	Strings["font_size"] = "Font Size";
	Strings["12px"] = "12px";
	Strings["14px"] = "14px";
	Strings["16px"] = "16px";
	Strings["18px"] = "18px";
	Strings["20px"] = "20px";
	Strings["window_opacity"] = "Chat Window Opacity";
	Strings["show_timestamp"] = "Show Timestamp";
	
	Strings["channel_Emote"] = "Emote";
	Strings["channel_Say"] = "Say";
	Strings["channel_Raid"] = "Raid";
	Strings["channel_Regional"] = "Regional";
	Strings["channel_World"] = "World";
	Strings["channel_Fellowship"] = "Fellowship";
	Strings["channel_Kinship"] = "Kinship";
	Strings["channel_Officer"] = "Officer";
	Strings["channel_OOC"] = "OOC";

	NamePatterns =
	{
		Emote = { [1] = "^(%S+) (.*)$" , [2] = nil },
		Say = { [1] = "^(you) say, '(.*)'$", [2] = "^<select:iid:0x%w+>(.+)<\\select> says, ['\"](.*)['\"]$"},
		Raid = { [1] = "^%[to raid%] (.*)$", [2] = "^%[raid%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		Regional = { [1] = "^%[to regional%] (.*)$", [2] = "^%[regional%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		World = { [1] = "^%[to world%] (.*)$", [2] = "^%[world%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		OOC = { [1] = "^%[to ooc%] (.*)$", [2] = "^%[ooc%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"}
	};	
	
	Symbols["decimal_point"] = ".";
		
	UIOptions["wide_options_button"] = false;
	UIOptions["wide_status_button"] = false;
	UIOptions["wide_settings_label"] = false;
	UIOptions["wide_name_list_label"] = false;
	UIOptions["wide_clear_list_button"] = false;
elseif (LANGUAGE == "DE") then
	Strings["babble"] = "babble";
	Strings["babble_header"] = "Babble";
	Strings["cmd_babble_on"] = "ein";
	Strings["cmd_babble_off"] = "aus";
	Strings["cmd_babble_list"] = "auflisten";
	Strings["cmd_babble_edit"] = "aendern";
	Strings["babble_help_list"] = "/babble auflisten - Zeigt die Liste der momentan aktiven Emote-Filter";
	Strings["babble_help_edit"] = "/babble aendern - Einstellungen aendern";
	Strings["babble_status_on"] = "Babble ist momentan aktiv";
	Strings["babble_status_off"] = "Babble ist momentan nicht aktiv";
	Strings["babble_version"] = "Babble v";
	Strings["enable_babble"] = "Babble aktivieren";
	Strings["list_filters"] = "Filter auflisten";
	Strings["edit_settings"] = "Einstellungen aendern";
	Strings["settings"] = "Einstellungen";
	Strings["player_names"] = "Charakternamen";
	Strings["list_name"] = "Listenname";
	Strings["cancel"] = "Abbrechen";
	Strings["ok"] = "OK";
	Strings["apply"] = "Anwenden";
	Strings["add"] = "Hinzufuegen";
	Strings["copy"] = "Kopieren";
	Strings["edit"] = "Aendern";
	Strings["remove"] = "Entfernen";
	Strings["clear_list"] = "Liste leeren";
	Strings["me"] = "Ich";
	Strings["you"] = "Du";
	Strings["copy_list"] = "Zum Kopieren einer Liste Shift-Taste gedrueckt halten";
	-- Strings["unless_from"] = "Von nicht er- laubtem Char.";
	-- Strings["unless_to"] = " Auf nicht er- laubten Char.";
	-- Strings["allowed_players"] = "Erlaubte Char.";
	Strings["add_name_title"] = "Charaktername hinzufuegen";
	Strings["edit_name_title"] = "Charaktername aendern";
	-- Strings["add_name_message"] = "Charaktername eingeben, fuer den blockierte Emotes zugelassen werden.\n\"Ich\" fuer aktuellen Charakter verwenden.";
	Strings["add_name_message_comma"] = "Mehrere Namen durch Beistrich trennen.";
	Strings["name_exists"] = "Name bereits vorhanden";
	Strings["names_exists"] = "Alle Namen bereits vorhanden";
	Strings["name_no_commas"] = "Mehrere Namen nicht zulaessig beim Aendern eines Namens";
	Strings["default_emote_set"] = "Blockierte Emotes Liste 1";
	Strings["no_name_list"] = "-- Keine Namen --";
	Strings["list_name_required"] = "Listenname nicht angegeben";
	Strings["at_least_one_name"] = "Mindestens ein Name erforderlich";
	Strings["close_windows"] = "Bitte vor dem Speichern das Emote/Namen-Fenster schliessen ";
	Strings["changes_made"] = "Achtung: Aenderungen von Emotes, Namen oder Farben werden nicht gespeichert";
	Strings["changes_to_save"] = "Achtung: Aenderungen werden erst durch Druecken von Anwenden oder OK gespeichert";
	Strings["settings_saved"] = "Babble-Einstellungen gespeichert.";
	Strings["settings_notsaved"] = "Babble-Einstellungen nicht gespeichert.";
		
	-- New
	Strings["babble_help_on"] = "/babble ein - Kanalfilterung einschalten";
	Strings["babble_help_off"] = "/babble aus - Kanalfilterung ausschalten";
	Strings["cmd_babble_status"] = "status";
	Strings["babble_help_status"] = "/babble status - Status anzeigen";
	Strings["babble_welcome"] = "Babble schreibt gefilterte Emote-Meldungen in den Standardkanal. Im betreffenden Chat-Fenster sollte die Anzeige von Emote-Meldungen ausgeschaltet werden.";
	Strings["babble_filtering"] = "Babble filtert jetzt den %q-Kanal";
	Strings["babble_not_filtering"] = "Babble filtert jetzt den %q-Kanal nicht mehr";
	Strings["babble_chatwindow"] = "Chat-Fenster aktivieren";
	Strings["babble_showchatwindow"] = "Chat-Fenster anzeigen";
	Strings["enable_status_button"] = "Babble-Knopf aktivieren";
	Strings["use_global_settings"] = "Globale Einstellungen benutzen";
	Strings["channels"] = " Kanaele";
	Strings["channel_header"] = "Kanal:";
	Strings["status"] = "Status";
	Strings["select_list"] = "(Liste waehlen)";
	Strings["select_pattern_list"] = "Bitte vor dem Speichern Suchmuster-Liste auswaehlen";
	Strings["select_name_list"] = "Bitte vor dem Speichern Namensliste auswaehlen";
	Strings["pattern"] = "Suchmuster";
	Strings["filter_type"] = " Filterart";
	Strings["pattern_list"] = "Suchmuster-Liste";
	Strings["pattern_colour"] = "Suchmuster-Farbe";
	Strings["add_pattern_title"] = "Suchmuster hinzufuegen";
	Strings["edit_pattern_title"] = "Suchmuster aendern";
	Strings["add_pattern_message"] = "Bitte Suchmuster eingeben.\n* steht fuer beliebigen Text. _ steht fuer ein einzelnes Wort.";
	Strings["pattern_exists"] = "Suchmuster bereits vorhanden";
	Strings["at_least_one_pattern"] = "Mindestens ein auszufilterndes Suchmuster erforderlich";
	Strings["settings_open"] = "Achtung: Das Einstellungs-Fenster ist bereits offen. Ungespeicherte Einstellungen werden verloren gehen.";
	Strings["settings_npc_say"] = "NPC-Texte immer ausfiltern";
	Strings["allow_all_list"] = "-- Alle zulassen --";
	Strings["block_all_list"] = "-- Alle ausfiltern --";
	Strings["unless_from"] = "Wenn nicht von bekanntem Spieler";
	Strings["unless_to"] = "Wenn nicht auf bekannten Spieler";
	Strings["named_players"] = "Bekannte Spieler";
	Strings["add_name_message"] = "Spielernamen eingeben fuer den gefilterte/erlaubte Suchmuster ueberschrieben werden koennen. 'Me' steht fuer den aktuellen Spieler.";
	Strings["block_patterns"] = "Ausgefilterte Suchmuster";
	Strings["allow_patterns"] = "Zugelassene Suchmuster";
	Strings["remove_not_allowed"] = "Liste kann nicht geloescht werden, da sie von anderen Kanaelen benutzt wird";
	Strings["list_in_use"] = "Achtung: Andere Kanaele benutzen diese Liste und werden von den Aenderungen betroffen sein";
	Strings["create_tab"] = "Neuen Tab erzeugen";
	Strings["rename_tab"] = "Tab umbenennen";
	Strings["delete_tab"] = "Tab loeschen";
	Strings["clear_tab"] = "Gesamten Inhalt loeschen";
	Strings["filtered_menu"] = "Zugelassener Text";
	Strings["blocked_menu"] = "Ausgefilterter Text";
	Strings["other_menu"] = "Andere Kanaele";
	Strings["tab_name_main"] = "Haupt-Tab";
	Strings["tab_name_new"] = "NeuerTab";
	Strings["rename_tab_confirm"] = "Bitte neuen Namen fuer den Tab eingeben";
	Strings["route_to_standard"] = "Ausgefilterten Text in den Standard-Kanal schicken";
	Strings["edit_colours"] = "Farben aendern";
	Strings["select_colour"] = "Farbe waehlen ...";
	Strings["enter_rgb"] = "Oder RGB-Werte eingeben";
	Strings["r"] = "R";
	Strings["g"] = "G";
	Strings["b"] = "B";
	
	Strings["font_size"] = "Schriftgroesse";
	Strings["12px"] = "12px hoch";
	Strings["14px"] = "14px hoch";
	Strings["16px"] = "16px hoch";
	Strings["18px"] = "18px hoch";
	Strings["20px"] = "20px hoch";
	Strings["window_opacity"] = "Fenster-Transparenz";
	Strings["show_timestamp"] = "Zeitangabe anzeigen";
	
	Strings["channel_Emote"] = "Emote";
	Strings["channel_Say"] = "Sagen";
	Strings["channel_Raid"] = "Schlachtzug";
	Strings["channel_Regional"] = "Regional";
	Strings["channel_World"] = "Welt";
	Strings["channel_Fellowship"] = "Gefährtengruppe";
	Strings["channel_Kinship"] = "Sippe";
	Strings["channel_Officer"] = "Offizier";
	Strings["channel_OOC"] = "OOC";
	
	NamePatterns =
	{
		Emote = { [1] = "^(%S+) (.*)$" , [2] = nil },
		Say = { [1] = "^(du) sagst: '(.*)'$", [2] = "^<select:iid:0x%w+>(.+)<\\select> sagt: ['\"](.*)['\"]$"},
		Raid = { [1] = "^%[an schlachtzug%] (.*)$", [2] = "^%[schlachtzug%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		Regional = { [1] = "^%[an regional%] (.*)$", [2] = "^%[regional%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		World = { [1] = "^%[an welt%] (.*)$", [2] = "^%[welt%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		OOC = { [1] = "^%[an ooc%] (.*)$", [2] = "^%[ooc%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"}
	};

	Symbols["decimal_point"] = ",";
	
	UIOptions["wide_options_button"] = true;
	UIOptions["wide_status_button"] = false;
	UIOptions["wide_settings_label"] = false;
	UIOptions["wide_name_list_label"] = true;
	UIOptions["wide_clear_list_button"] = false;
elseif (LANGUAGE == "FR") then
	Strings["babble"] = "babble";
	Strings["babble_header"] = "Babble";
	Strings["cmd_babble_on"] = "activé";
	Strings["cmd_babble_off"] = "désactivé";
	Strings["cmd_babble_list"] = "énumérer";
	Strings["cmd_babble_edit"] = "éditer";
	Strings["babble_help_list"] = "/babble liste - énumérer des filtres soutenu";
	Strings["babble_help_edit"] = "/babble - Éditer les réglages";
	Strings["babble_status_on"] = "Babble est actuellement activé";
	Strings["babble_status_off"] = "Babble est actuellement désactivé";
	Strings["babble_version"] = "Babble version";
	Strings["enable_babble"] = "Activer Babble";
	Strings["list_filters"] = "Énumérer les filtres";
	Strings["edit_settings"] = "Éditer les réglages";
	Strings["settings"] = "Réglages";
	Strings["player_names"] = "Noms des joueurs";
	Strings["list_name"] = "Nom de la liste";
	Strings["cancel"] = "Annuller";
	Strings["ok"] = "OK";
	Strings["apply"] = "Valider";
	Strings["add"] = "Ajouter";
	Strings["copy"] = "Copier";
	Strings["edit"] = "Éditer";
	Strings["remove"] = "Supprimer";
	Strings["clear_list"] = "Effacer la liste";
	Strings["me"] = "Moi";
	Strings["you"] = "Vous";
	Strings["copy_list"] = "Maintenez la touche Maj pour copier une liste";
	-- Strings["unless_from"] = "Sauf d’un joueur autorisé";
	-- Strings["unless_to"] = "Sauf à un joueur autorisé";
	-- Strings["allowed_players"] = "Joueurs autorisés";
	Strings["add_name_title"] = "Ajouter le nom de joueur";
	Strings["edit_name_title"] = "Éditer le nom de joueur";
	-- Strings["add_name_message"] = "Saisissez le nom d’un joueur dont les emotes bloqués peut être outrepassé. Saisissez 'Me' pour vous representer";
	Strings["add_name_message_comma"] = "On peut saisir les noms multiples séparés avec des virgules";
	Strings["name_exists"] = "Le nom existe déjà";
	Strings["names_exists"] = "Tous les noms existent déjà";
	Strings["name_no_commas"] = "Les noms multiples ne sont pas permis lors de l’édition d’un nom";
	Strings["default_emote_set"] = "Groupe 1 des emotes bloqués";
	Strings["no_name_list"] = "-- Aucunes joueurs --";
	Strings["list_name_required"] = "Nom de la liste ne pas spécifié";
	Strings["at_least_one_name"] = "Il faut au moindre d’un nom";
	Strings["close_windows"] = "Prière de fermer les fenêtres pour l'emote et nom avant de tenter d'enregistrer";
	Strings["changes_made"] = "Avertissement : Tous les changements faits aux emotes, aux noms ou aux couleurs ne seront pas enregistrés";
	Strings["changes_to_save"] = "Avertissement : Les changements ne seront pas enregistrés jusqu'à ce que \"Activer\" ou \"OK\" est cliqué";
	Strings["settings_saved"] = "Les réglages de babble sont enregistrés";
	Strings["settings_notsaved"] = "Les réglages de babble ne sont pas enregistrés";
	
	-- New
	Strings["babble_help_on"] = "/babble actif - Allumez des chaînes filtrées";
	Strings["babble_help_off"] = "/babble inactif - Éteignez des chaînes filtrées";
	Strings["cmd_babble_status"] = "état";
	Strings["babble_help_status"] = "/état de babble - Montrez l’état";
	Strings["babble_welcome"] = "Babble envoie des messages de chat filtrés à la chaîne standard. Pour le faire effectif il faut choisir 'Changez les filtres' dans la même fenêtre de chat et éteindre la chaîne de chat correspondante.";
	Strings["babble_filtering"] = "Babble filtre actuellement les messages sur la chaine %q";
	Strings["babble_not_filtering"] = "Babble ne filtre plus les messages sur la chaine %q";
	Strings["babble_chatwindow"] = "Activer la fenêtre de chat";
	Strings["babble_showchatwindow"] = "Montre la fenêtre de chat";
	Strings["enable_status_button"] = "Activer le bouton Babble";
	Strings["use_global_settings"] = "Utiliser des réglages globales";
	Strings["channels"] = "Chaînes";
	Strings["channel_header"] = "Chaîne :";
	Strings["status"] = "État";
	Strings["select_list"] = "(Choisir la Liste)";
	Strings["select_pattern_list"] = "Il faut choisir la liste des patterns avant sauver";
	Strings["select_name_list"] = "Il faut choisir la liste des noms avant sauver";
	Strings["pattern"] = "Pattern";
	Strings["filter_type"] = "Type de filtre";
	Strings["pattern_list"] = "Liste de patterns";
	Strings["pattern_colour"] = "Couleur de pattern";
	Strings["add_pattern_title"] = "Ajouter un pattern";
	Strings["edit_pattern_title"] = "Modifier un pattern";
	Strings["add_pattern_message"] = "Saisir le pattern pour bloquer. \n Utilisez * pour correspondre à n'importe quelle longueur de texte. Utilisez _ pour correspondre à un seul mot.";
	Strings["pattern_exists"] = "Pattern déjà existant";
	Strings["at_least_one_pattern"] = "Il faut au moins avoir un pattern bloqué";
	Strings["settings_open"] = "Avertissement: la fenêtre de réglages est déjà ouverte. Des modifications non sauvées seront perdues.";
	Strings["settings_npc_say"] = "Toujours bloquer le chat de PNJ";
	Strings["allow_all_list"] = "— Permettre tous —";
	Strings["block_all_list"] = "— Bloquer tous —";
	Strings["unless_from"] = "Sauf d’un joueur nommé";
	Strings["unless_to"] = "Sauf à un joueur nommé";
	Strings["named_players"] = "Joueurs nommés";
	Strings["add_name_message"] = "Saisir le nom d’un joueur dont les patterns bloqués / permis peuvent être délogé. \n Saisir «Moi» pour se representer";
	Strings["block_patterns"] = "Bloquer des patterns";
	Strings["allow_patterns"] = "Permettre des patterns";
	Strings["remove_not_allowed"] = "Ce n'est pas possible de supprimer le liste à cause d'utilisation par d'autres chaînes";
	Strings["list_in_use"] = "Avertissement: La liste est utilisée par des autres chaînes donc des changements aussi modifieront les autres chaînes";
	Strings["create_tab"] = "Créer un nouvel onglet";
	Strings["rename_tab"] = "Renommer l’onglet";
	Strings["delete_tab"] = "Supprimer l’onglet";
	Strings["clear_tab"] = "Supprimer tout le texte";
	Strings["filtered_menu"] = "Texte permis";
	Strings["blocked_menu"] = "Texte bloqué";
	Strings["other_menu"] = "Autres chaînes";
	Strings["tab_name_main"] = "Principal";
	Strings["tab_name_new"] = "Nouvel onglet";
	Strings["rename_tab_confirm"] = "Renommez l’onglet ";
	Strings["route_to_standard"] = "Envoyez le texte filtré à la chaîne standard";
	Strings["edit_colours"] = "Modifiez des couleurs";
	Strings["select_colour"] = "Sélectionnez le couleur...";
	Strings["enter_rgb"] = "Ou saisir des valeurs RVB";
	Strings["r"] = "R";
	Strings["g"] = "V";
	Strings["b"] = "B";
	
	Strings["font_size"] = "Taille de police";
	Strings["12px"] = "Fonte : 12";
	Strings["14px"] = "Fonte : 14";
	Strings["16px"] = "Fonte : 16";
	Strings["18px"] = "Fonte : 18";
	Strings["20px"] = "Fonte : 20";
	Strings["window_opacity"] = "Opacit\195\169 des fen\195\170tres";
	Strings["show_timestamp"] = "Afficher l’horodatage";
	
	Strings["channel_Emote"] = "Emote";
	Strings["channel_Say"] = "Parler";
	Strings["channel_Raid"] = "Raid";
	Strings["channel_Regional"] = "Régional";
	Strings["channel_World"] = "Monde";
	Strings["channel_Fellowship"] = "Communauté";
	Strings["channel_Kinship"] = "Confrérie";
	Strings["channel_Officer"] = "Officier";
	Strings["channel_OOC"] = "HDP";

	NamePatterns =
	{
		Emote = { [1] = "^(%S+) (.*)$" , [2] = nil },
		Say = { [1] = "^(vous) dites : '(.*)'$", [2] = "^<select:iid:0x%w+>(.+)<\\select> dit : ['\"](.*)['\"]$"},
		Raid = { [1] = "^%[au raid%] (.*)$", [2] = "^%[raid%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		Regional = { [1] = "^%[a régional%] (.*)$", [2] = "^%[régional%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		World = { [1] = "^%[a monde%] (.*)$", [2] = "^%[monde%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"},
		OOC = { [1] = "^%[a hdp%] (.*)$", [2] = "^%[hdp%] <select:iid:0x%w+>(%S+)<\\select>: (.*)$"}
	};

	Symbols["decimal_point"] = ",";
	
	UIOptions["wide_options_button"] = true;
	UIOptions["wide_status_button"] = true;
	UIOptions["wide_settings_label"] = true;
	UIOptions["wide_name_list_label"] = true;
	UIOptions["wide_clear_list_button"] = true;
end
