WindowBasic = class(Turbine.UI.Window);

local Constants =
{
	Size =
	{
		Width = 15,
		Height = 15
	},
	Offset =
	{
		Width = 0,
		Height = 0
	},
	Icons =
	{
		WindowResizer = "Simbo/Babble/Icons/BasicDrag.tga"
	}
}

function WindowBasic:Constructor()
	Turbine.UI.Window.Constructor(self);
	
	self.UIHidden = false;

	self:SetWantsKeyEvents(true);
	self.KeyDown = function(sender, args)
		KeyDownActions(self, args);
	end
end

function WindowBasic:SetResizer(minimumWidth, minimumHeight)
	Window_SetResizer(self, minimumWidth, minimumHeight, Constants.Icons.WindowResizer, Constants.Size.Width, Constants.Size.Height, self:GetZOrder() + 1);
end

function WindowBasic:UpdateResizer(minimumWidth, minimumHeight)
	Window_UpdateResizer(self, minimumWidth, minimumHeight);
end

function WindowBasic:SetResizerPosition()
	 Window_SetResizerPosition(self, Constants.Size.Width, Constants.Size.Height, Constants.Offset.Width, Constants.Offset.Height);
end

function WindowBasic:CheckWindowPosition()
	Window_CheckWindowPosition(self);
end

